#include "xparameters.h"
#include "xbasic_types.h"
#include "xio.h"

volatile Xuint32 *vga = (Xuint32 *)(XPAR_VGA_16BIT_PLBV46_0_BASEADDR);
volatile Xuint32 *ram = (Xuint32 *)(XPAR_DDR2_SDRAM_MPMC_BASEADDR);

#define rs232_read() XUartLite_RecvByte(XPAR_RS232_DCE_BASEADDR)

void setVGA(int mode, Xuint32 baseadress)
{
	vga[1] = 0x1;
	vga[0] = baseadress;
	vga[1] = 0x100+(mode <<4);
}

int main()
{
	Xuint8 choice;
	while(1)
	{
		xil_printf("> ");
		choice = rs232_read();
		xil_printf("\r\n");
		switch(choice)
		{
			case '1' : 
						xil_printf("16-Bit Color Mode\n");
						setVGA(0x2, XPAR_DDR2_SDRAM_MPMC_BASEADDR);
						break;
			case '2' : 	
						xil_printf("8-Bit B/W Mode\n");
						setVGA(0x0, XPAR_DDR2_SDRAM_MPMC_BASEADDR);
						break;
			default  :
						
						break;
						
		}
	}
	return 0;
}
